io.vertx.rxjava3.ext.web.sstore.redis

## Class RedisSessionStore

- java.lang.Object
- - io.vertx.rxjava3.ext.web.sstore.SessionStore
  - - io.vertx.rxjava3.ext.web.sstore.redis.RedisSessionStore

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class RedisSessionStore
      extends SessionStore
      implements io.vertx.lang.rx.RxDelegate

  A SessionStore that uses a Redis to store the sessions and associated data. This assumes that the redis logical database (i.e. select) is only used to store the sessions to make size query reliable.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<RedisSessionStore>` | `__TYPE_ARG`
    `static long` | `DEFAULT_RETRY_TIMEOUT_MS`
    `static int` | `DEFAULT_SESSIONID_LENGTH` Default length for a session id.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedisSessionStore(Object delegate)`
    `RedisSessionStore(RedisSessionStore delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RedisSessionStore` | `create(Vertx vertx, long retryTimeoutMs, Redis redis)` Creates a RedisSessionStore with the given retry TO.
    `static RedisSessionStore` | `create(Vertx vertx, Redis redis)` Creates a RedisSessionStore with the default retry TO.
    `boolean` | `equals(Object o)`
    `RedisSessionStore` | `getDelegate()`
    `int` | `hashCode()`
    `static RedisSessionStore` | `newInstance(RedisSessionStore arg)`
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava3.ext.web.sstore.SessionStore

      `clear, close, create, create, createSession, createSession, delete, get, init, newInstance, put, retryTimeout, rxClear, rxDelete, rxGet, rxPut, rxSize, size`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RedisSessionStore> __TYPE_ARG

    - #### DEFAULT_SESSIONID_LENGTH

          public static final int DEFAULT_SESSIONID_LENGTH

      Default length for a session id. More info: https://www.owasp.org/index.php/Session_Management_Cheat_Sheet
      See Also:
        Constant Field Values

    - #### DEFAULT_RETRY_TIMEOUT_MS

          public static final long DEFAULT_RETRY_TIMEOUT_MS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RedisSessionStore

          public RedisSessionStore(RedisSessionStore delegate)

    - #### RedisSessionStore

          public RedisSessionStore(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SessionStore`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `SessionStore`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SessionStore`

    - #### getDelegate

          public RedisSessionStore getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `SessionStore`

    - #### create

          public static RedisSessionStore create(Vertx vertx,
                                                 Redis redis)

      Creates a RedisSessionStore with the default retry TO.
      Parameters:
        `vertx` - a Vert.x instance
        `redis` - A Redis client
      Returns:
        the store

    - #### create

          public static RedisSessionStore create(Vertx vertx,
                                                 long retryTimeoutMs,
                                                 Redis redis)

      Creates a RedisSessionStore with the given retry TO.
      Parameters:
        `vertx` - a Vert.x instance
        `retryTimeoutMs` - The time between two consecutive tries
        `redis` - The given options to establish the connection
      Returns:
        the store

    - #### newInstance

          public static RedisSessionStore newInstance(RedisSessionStore arg)

Copyright © 2025 Eclipse. All rights reserved.